cURL
curl --request GET \
--url https://app.revyops.com/api/public/v2/contacts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.revyops.com/api/public/v2/contacts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.revyops.com/api/public/v2/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.revyops.com/api/public/v2/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.revyops.com/api/public/v2/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.revyops.com/api/public/v2/contacts")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.revyops.com/api/public/v2/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"total_pages": 123,
"current_page": 123,
"page_size": 123,
"results": [
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"contact_custom_fields": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"previous_status": "<string>",
"status_changed_at": "2023-11-07T05:31:56Z",
"email_statuses": [
{
"source": "<string>",
"status": "<string>",
"raw_value": "<string>",
"live": true,
"observed_at": "2023-11-07T05:31:56Z",
"status_changed_at": "2023-11-07T05:31:56Z"
}
],
"total_linkedin_messages_sent": 0,
"first_linkedin_message_sent": "2023-11-07T05:31:56Z",
"last_linkedin_message_sent": "2023-11-07T05:31:56Z",
"total_linkedin_message_replies": 0,
"last_linkedin_message_reply_received": "2023-11-07T05:31:56Z",
"interested_linkedin_message_replies": 0,
"total_linkedin_inmails_sent": 0,
"first_linkedin_inmail_sent": "2023-11-07T05:31:56Z",
"last_linkedin_inmail_sent": "2023-11-07T05:31:56Z",
"total_linkedin_inmail_replies": 0,
"last_linkedin_inmail_reply_received": "2023-11-07T05:31:56Z",
"interested_linkedin_inmail_replies": 0,
"total_linkedin_connection_requests_sent": 0,
"first_linkedin_connection_request_sent": "2023-11-07T05:31:56Z",
"last_linkedin_connection_request_sent": "2023-11-07T05:31:56Z",
"total_linkedin_connections_accepted": 0,
"first_linkedin_connection_accepted": "2023-11-07T05:31:56Z",
"last_linkedin_connection_accepted": "2023-11-07T05:31:56Z",
"email": "<string>",
"linkedin_url": "<string>",
"phone": "<string>",
"phone_type": "office",
"first_name": "<string>",
"last_name": "<string>",
"job_title": "<string>",
"company_id": 123,
"origin": "<string>",
"contact_status": "<string>",
"do_not_contact": "<string>",
"email_status": "valid"
}
]
}Contacts
List Contacts
Allows you to search for contacts within the system. You can filter the search using query parameters, and the search will return contacts that match the provided criteria. The response limit is 100 contacts
GET
/
public
/
v2
/
contacts
cURL
curl --request GET \
--url https://app.revyops.com/api/public/v2/contacts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.revyops.com/api/public/v2/contacts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.revyops.com/api/public/v2/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.revyops.com/api/public/v2/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.revyops.com/api/public/v2/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.revyops.com/api/public/v2/contacts")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.revyops.com/api/public/v2/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"total_pages": 123,
"current_page": 123,
"page_size": 123,
"results": [
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"contact_custom_fields": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"previous_status": "<string>",
"status_changed_at": "2023-11-07T05:31:56Z",
"email_statuses": [
{
"source": "<string>",
"status": "<string>",
"raw_value": "<string>",
"live": true,
"observed_at": "2023-11-07T05:31:56Z",
"status_changed_at": "2023-11-07T05:31:56Z"
}
],
"total_linkedin_messages_sent": 0,
"first_linkedin_message_sent": "2023-11-07T05:31:56Z",
"last_linkedin_message_sent": "2023-11-07T05:31:56Z",
"total_linkedin_message_replies": 0,
"last_linkedin_message_reply_received": "2023-11-07T05:31:56Z",
"interested_linkedin_message_replies": 0,
"total_linkedin_inmails_sent": 0,
"first_linkedin_inmail_sent": "2023-11-07T05:31:56Z",
"last_linkedin_inmail_sent": "2023-11-07T05:31:56Z",
"total_linkedin_inmail_replies": 0,
"last_linkedin_inmail_reply_received": "2023-11-07T05:31:56Z",
"interested_linkedin_inmail_replies": 0,
"total_linkedin_connection_requests_sent": 0,
"first_linkedin_connection_request_sent": "2023-11-07T05:31:56Z",
"last_linkedin_connection_request_sent": "2023-11-07T05:31:56Z",
"total_linkedin_connections_accepted": 0,
"first_linkedin_connection_accepted": "2023-11-07T05:31:56Z",
"last_linkedin_connection_accepted": "2023-11-07T05:31:56Z",
"email": "<string>",
"linkedin_url": "<string>",
"phone": "<string>",
"phone_type": "office",
"first_name": "<string>",
"last_name": "<string>",
"job_title": "<string>",
"company_id": 123,
"origin": "<string>",
"contact_status": "<string>",
"do_not_contact": "<string>",
"email_status": "valid"
}
]
}Authorizations
Query Parameters
Filter for contacts with companies matching to a domain (excludes contacts without companies)
Filter by email
Filter by first name
Filter by last name
Filter by LinkedIn URL
Page number (1-based)
Number of contacts per page (max 100)
Filter by phone number (E.164)
Format of custom fields in response. NESTED returns array of objects with id, field_name, field_value. FLAT returns object with field names as keys.
Available options:
FLAT, NESTED Was this page helpful?

